Subject: Re: [PATCH] net: shrink net_device by #ifdef-ing protocol-specific members

From: Octavian Purdila <[email-masked]>
Date: Wed, 29 Jul 2009 13:31:21 +0300

On Tuesday 28 July 2009 20:28:08 David Miller wrote:

> From: Octavian Purdila <[email-masked]>
> Date: Tue, 28 Jul 2009 17:43:27 +0300
>
> > On Monday 27 July 2009 18:26:44 David Miller wrote:
> >> This benefits, at best, %0.000000001 of users of the Linux kernel,
> >> because every distribution is going to turn on every single option.
> >
> > Not all Linux users are using regular (desktop/server) distributions.
>
> I didn't say all, I said "nearly all" which for many considerations
> is roughly equivalent.
>
> That %0.0000000001 was meant to represent non-distribution users.

There are many embedded / dedicated devices out there which use a customized 
Linux kernel (wireless routers and other network appliances, set-top boxes, 
TVs, etc.). 

I have no idea about what the actual percent of the Linux users these account 
for, but to dismiss it as  %0.0000000001 seems like a rush statement to me.

tavi